# bjy_liveui_flutter

[flutter demo 示例工程](https://git2.baijiashilian.com/open-android/bjy_flutter_plugin_example)

百家云直播 SDK 的 flutter 插件。

### 1. 初始化 SDK

在合适的时机初始化 SDK，建议在用户勾选完隐私政策之后，避免合规风险。确保进直播间之前调用即可。

```dart
BJYLiveUIFlutterPlatform.instance.initSDK("e33180987");
```

### 2. 通过参加码进直播间

```dart
// 直播间有多种类型：  
// BJYUILayoutTemplate.Triple 三分屏  
// BJYUILayoutTemplate.Enterprise 企业竖屏直播  
// BJYUILayoutTemplate.Sell 直播带货  
// BJYUILayoutTemplate.Professional 专业小班课 BJYLiveUIFlutter()  
        .startLiveByCodeWithLayoutTemplateAndCodeAndUserName(BJYUILayoutTemplate.Triple, "参加码", "用户昵称");  
```

### 3. 通过签名进直播间

```dart
// 签名字段说明：  
// name: 用户昵称  
// number: 用户唯一标识  
// type: 0:学生 1:老师 2:助教  
// avatar: 用户图像 url 地址  
// groupId: 分组号，默认0不分组，只有分组直播才用到，不分组则不需要传此参数 BJYLiveUIFlutter().startLiveBySignWithLayoutTemplateAndRoomIDAndSignAndUserInfo(  
                          BJYUILayoutTemplate.Triple,                          "22092788575540",                          "f1c3bf16b097b42e918b10048e1e1571", {                    "name": "yjm",                    "number": "853145024",                    "type": 0,                    "avatar":                        "https://img.baijiayun.com/0bjcloud/live/avatar/v2/1.jpg",                    "groupId": 0                  });  
```